Transaction
INFO
Har bir javob umumiy konvertda qaytadi — code, message, messages, status_code, time — foydali yuk esa data ichida. Quyidagi jadvallar faqat data ichini tavsiflaydi.
POST /transaction/income
This method allows adding transaction into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
invoice_id | string | Yo‘q | |
payment_type_id | string | Ha | |
employee_id | string | Ha | |
employee_assistant_id | string | Yo‘q | |
supplier_id | string | Ha | |
supplier_assistant_id | string | Yo‘q | |
customer_id | string | Ha | |
customer_assistant_id | string | Yo‘q | |
person_id | string | Ha | |
person_assistant_id | string | Yo‘q | |
user_type | string | Ha | Mumkin qiymatlar: supplier, employee, customer, person, other |
amount | number | Ha | Standart: 10 |
atachments | object[] | Ha | |
atachments[].path | string | Ha | |
paid | number | Yo‘q | Standart: 10 |
payment_method_id | string | Ha | |
currency_id | string | Ha |
{
"invoice_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"employee_id": "64b7f4d9e2b3b6a0b7c5d800",
"employee_assistant_id": "64b7f4d9e2b3b6a0b7c5d801",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d802",
"supplier_assistant_id": "64b7f4d9e2b3b6a0b7c5d803",
"customer_id": "64b7f4d9e2b3b6a0b7c5d804",
"customer_assistant_id": "64b7f4d9e2b3b6a0b7c5d805",
"person_id": "64b7f4d9e2b3b6a0b7c5d806",
"person_assistant_id": "64b7f4d9e2b3b6a0b7c5d807",
"user_type": "customer",
"amount": 10,
"atachments": [
{
"path": "string"
}
],
"paid": 10,
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
"currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}Javob
| Maydon | Tur | Tavsif |
|---|---|---|
number | string | Transaction number |
type | string | Transaction type |
balance_changes | object[] | Balance changes |
balance_changes[].currency_id | string | Currency ID |
balance_changes[].amount | number | Amount |
balance_changes[].value | number | Value |
balance_changes[].user_type | string | User type |
organization | object | Organization |
organization._id | string | Organization ID |
organization.name | string | Organization name |
payment_type | object | Payment type |
payment_type._id | string | Payment type ID |
payment_type.name | string | Payment type name |
payment_type.payment_type | string | Payment type |
contract_number | string | Contract number |
amount | number | Amount |
state | string | State |
currency_id | string | Currency ID |
exchange_amount | number | Exchange amount |
cashbox_id | string | Cashbox ID |
cashbox | object | Cashbox |
cashbox._id | string | Cashbox ID |
cashbox.name | string | Cashbox name |
destination_cashbox_id | string | Destination cashbox ID |
destination_cashbox | object | Destination cashbox |
destination_cashbox._id | string | Destination cashbox ID |
destination_cashbox.name | string | Destination cashbox name |
source_cashbox_id | string | Source cashbox ID |
source_cashbox | object | Source cashbox |
source_cashbox._id | string | Source cashbox ID |
source_cashbox.name | string | Source cashbox name |
exchange_currency | object | Exchange currency |
exchange_currency._id | string | Exchange currency ID |
exchange_currency.name | string | Exchange currency name |
exchange_currency.value | number | Exchange currency value |
employee | object | Employee |
employee._id | string | Employee ID |
employee.full_name | string | Employee full name |
employee.phone_number | string | Employee phone number |
supplier | object | Supplier |
supplier._id | string | Supplier ID |
supplier.full_name | string | Supplier full name |
supplier.name | string | Supplier name |
supplier.phone_number | string | Supplier phone number |
customer | object | Customer |
customer._id | string | Customer ID |
customer.full_name | string | Customer full name |
customer.name | string | Customer name |
customer.phone_number | string | Customer phone number |
person | object | Person |
person._id | string | Person ID |
person.name | string | Person name |
person.full_name | string | Person full name |
person.phone_number | string | Person phone number |
person.type | string | Person type |
parent | object | Parent |
parent._id | string | Parent ID |
parent.amount | number | Amount |
parent.currency_id | string | Currency ID |
parent.payment_method_id | string | Payment method ID |
parent.payment_method | string | Payment method |
parent.cashbox_id | string | Cashbox ID |
parent.type | string | Type |
parent.custom_id | string | Custom ID |
destination | object | Destination |
destination._id | string | Destination ID |
destination.name | string | Name |
payment_method | object | Payment method |
payment_method._id | string | Payment method ID |
payment_method.type | string | Type |
payment_method.name | string | Name |
created_at | string | Created at |
date | string | Date |
updated_at | string | Updated at |
is_deleted | boolean | Is deleted |
completely_deleted | boolean | Completely deleted |
balance_list | object[] | Balance list |
created_by | object | Created by |
created_by._id | string | Created by ID |
created_by.full_name | string | Full name |
to_customer | string | To customer |
to_supplier | string | To supplier |
to_employee | string | To employee |
to_person | string | To person |
description | string | Description |
receipt | string | Receipt |
cashbox_before_balance | object | Cashbox before balance |
cashbox_before_balance._id | string | |
cashbox_before_balance.organization_id | integer | Organization ID |
cashbox_before_balance.payment_method_id | string | Payment method ID |
cashbox_before_balance.currency_id | string | Currency ID |
cashbox_before_balance.amount | number | |
cashbox_after_balance | object | Cashbox after balance |
cashbox_after_balance._id | string | |
cashbox_after_balance.organization_id | integer | Organization ID |
cashbox_after_balance.payment_method_id | string | Payment method ID |
cashbox_after_balance.currency_id | string | Currency ID |
cashbox_after_balance.amount | number | |
human_before_balance | object | Human before balance |
human_before_balance._id | string | |
human_before_balance.organization_id | integer | Organization ID |
human_before_balance.payment_method_id | string | Payment method ID |
human_before_balance.currency_id | string | Currency ID |
human_before_balance.amount | number | |
human_after_balance | object | Human after balance |
human_after_balance._id | string | |
human_after_balance.organization_id | integer | Organization ID |
human_after_balance.payment_method_id | string | Payment method ID |
human_after_balance.currency_id | string | Currency ID |
human_after_balance.amount | number | |
attachments | string[] | Attachments |
invoice | object | Invoice |
invoice._id | string | Invoice ID |
invoice.number | string | Invoice number |
invoice.currency_id | string | Currency ID |
invoice.currency_value | number | Currency value |
invoice.paid | number | Paid amount |
invoice.main_id | string | Main invoice ID |
can_be_canceled | boolean | Can be canceled |
done_at | string | Done at |
rejected_at | string | Rejected at |
canceled_at | string | Canceled at |
device | object | Device |
device._id | string | Device ID |
device.name | string | Device name |
device.device_id | string | Device ID |
trade | object | Trade |
trade._id | string | Trade ID |
trade.number | string | Trade number |
trade.is_refund | string | Is refund |
responsible | object | Responsible |
responsible._id | string | Responsible ID |
responsible.full_name | string | Full name |
customer_assistant | object | Customer assistant |
customer_assistant._id | string | Customer assistant ID |
customer_assistant.name | string | Customer assistant name |
customer_assistant.type | string | Customer assistant type |
supplier_assistant | object | Supplier assistant |
supplier_assistant._id | string | Supplier assistant ID |
supplier_assistant.name | string | Supplier assistant name |
supplier_assistant.type | string | Supplier assistant type |
employee_assistant | object | Employee assistant |
employee_assistant._id | string | Employee assistant ID |
employee_assistant.name | string | Employee assistant name |
employee_assistant.type | string | Employee assistant type |
person_assistant | object | Person assistant |
person_assistant._id | string | Person assistant ID |
person_assistant.name | string | Person assistant name |
person_assistant.type | string | Person assistant type |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"number": "string",
"type": "string",
"balance_changes": [
{
"currency_id": "string",
"amount": 0,
"value": 0,
"user_type": "string"
}
],
"organization": {
"_id": "string",
"name": "string"
},
"payment_type": {
"_id": "string",
"name": "string",
"payment_type": "string"
},
"contract_number": "string",
"amount": 0,
"state": "string",
"currency_id": "string",
"exchange_amount": 0,
"cashbox_id": "string",
"cashbox": {
"_id": "string",
"name": "string"
},
"destination_cashbox_id": "string",
"destination_cashbox": {
"_id": "string",
"name": "string"
},
"source_cashbox_id": "string",
"source_cashbox": {
"_id": "string",
"name": "string"
},
"exchange_currency": {
"_id": "string",
"name": "string",
"value": 0
},
"employee": {
"_id": "string",
"full_name": "string",
"phone_number": "string"
},
"supplier": {
"_id": "string",
"full_name": "string",
"name": "string",
"phone_number": "string"
},
"customer": {
"_id": "string",
"full_name": "string",
"name": "string",
"phone_number": "string"
},
"person": {
"_id": "string",
"name": "string",
"full_name": "string",
"phone_number": "string",
"type": "string"
},
"parent": {
"_id": "string",
"amount": 0,
"currency_id": "string",
"payment_method_id": "string",
"payment_method": "string",
"cashbox_id": "string",
"type": "string",
"custom_id": "string"
},
"destination": {
"_id": "string",
"name": "string"
},
"payment_method": {
"_id": "string",
"type": "string",
"name": "string"
},
"created_at": "string",
"date": "string",
"updated_at": "string",
"is_deleted": false,
"completely_deleted": false,
"balance_list": [
{}
],
"created_by": {
"_id": "string",
"full_name": "string"
},
"to_customer": "string",
"to_supplier": "string",
"to_employee": "string",
"to_person": "string",
"description": "string",
"receipt": "string",
"cashbox_before_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"cashbox_after_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"human_before_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"human_after_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"attachments": [
"string"
],
"invoice": {
"_id": "string",
"number": "string",
"currency_id": "string",
"currency_value": 0,
"paid": 0,
"main_id": "string"
},
"can_be_canceled": false,
"done_at": "string",
"rejected_at": "string",
"canceled_at": "string",
"device": {
"_id": "string",
"name": "string",
"device_id": "string"
},
"trade": {
"_id": "string",
"number": "string",
"is_refund": "string"
},
"responsible": {
"_id": "string",
"full_name": "string"
},
"customer_assistant": {
"_id": "string",
"name": "string",
"type": "string"
},
"supplier_assistant": {
"_id": "string",
"name": "string",
"type": "string"
},
"employee_assistant": {
"_id": "string",
"name": "string",
"type": "string"
},
"person_assistant": {
"_id": "string",
"name": "string",
"type": "string"
}
},
"time": "2025-05-01T12:00:00Z"
}POST /transaction/expense
This method allows adding transaction into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
invoice_id | string | Yo‘q | |
payment_type_id | string | Ha | |
employee_id | string | Ha | |
employee_assistant_id | string | Yo‘q | |
supplier_id | string | Ha | |
supplier_assistant_id | string | Yo‘q | |
customer_id | string | Ha | |
customer_assistant_id | string | Yo‘q | |
person_id | string | Ha | |
person_assistant_id | string | Yo‘q | |
user_type | string | Ha | Mumkin qiymatlar: supplier, employee, customer, person, other |
amount | number | Ha | Standart: 10 |
atachments | object[] | Ha | |
atachments[].path | string | Ha | |
paid | number | Yo‘q | Standart: 10 |
payment_method_id | string | Ha | |
currency_id | string | Ha |
{
"invoice_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"employee_id": "64b7f4d9e2b3b6a0b7c5d800",
"employee_assistant_id": "64b7f4d9e2b3b6a0b7c5d801",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d802",
"supplier_assistant_id": "64b7f4d9e2b3b6a0b7c5d803",
"customer_id": "64b7f4d9e2b3b6a0b7c5d804",
"customer_assistant_id": "64b7f4d9e2b3b6a0b7c5d805",
"person_id": "64b7f4d9e2b3b6a0b7c5d806",
"person_assistant_id": "64b7f4d9e2b3b6a0b7c5d807",
"user_type": "customer",
"amount": 10,
"atachments": [
{
"path": "string"
}
],
"paid": 10,
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
"currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
POST /transaction/transfer
This method allows adding transaction into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
destination_cashbox_id | string | Ha | |
user_type | string | Ha | Mumkin qiymatlar: supplier, employee, customer, person, other |
amount | number | Ha | Standart: 10 |
atachments | object[] | Ha | |
atachments[].path | string | Ha | |
paid | number | Yo‘q | Standart: 10 |
payment_method_id | string | Ha | |
currency_id | string | Ha |
{
"destination_cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"user_type": "customer",
"amount": 10,
"atachments": [
{
"path": "string"
}
],
"paid": 10,
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
"currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
POST /transaction/exchange
This method allows adding transaction into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
exchange_currency_id | string | Ha | |
exchange_amount | number | Ha | Standart: 10 |
destination_cashbox_id | string | Ha | |
user_type | string | Ha | Mumkin qiymatlar: supplier, employee, customer, person, other |
amount | number | Ha | Standart: 10 |
atachments | object[] | Ha | |
atachments[].path | string | Ha | |
paid | number | Yo‘q | Standart: 10 |
payment_method_id | string | Ha | |
currency_id | string | Ha |
{
"exchange_currency_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"exchange_amount": 10,
"destination_cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"user_type": "customer",
"amount": 10,
"atachments": [
{
"path": "string"
}
],
"paid": 10,
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
"currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
POST /transaction/exchange-method
This method allows adding transaction into the account.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
destination_payment_method_id | string | Ha | |
exchange_amount | number | Ha | Standart: 10 |
user_type | string | Ha | Mumkin qiymatlar: supplier, employee, customer, person, other |
amount | number | Ha | Standart: 10 |
atachments | object[] | Ha | |
atachments[].path | string | Ha | |
paid | number | Yo‘q | Standart: 10 |
payment_method_id | string | Ha | |
currency_id | string | Ha |
{
"destination_payment_method_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"exchange_amount": 10,
"user_type": "customer",
"amount": 10,
"atachments": [
{
"path": "string"
}
],
"paid": 10,
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d806",
"currency_id": "64b7f4d9e2b3b6a0b7c5d806"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
PUT /transaction/set-state
This method allows setting transaction state.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Yo‘q | |
state | string | Ha | Mumkin qiymatlar: canceled, pending, done, rejected |
{
"_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"state": "pending"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
PUT /transaction/expense/approve
Approve a pending expense transaction.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Ha | Expense transaction ObjectId to approve |
{
"_id": "64b7f4d9e2b3b6a0b7c5d7ff"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
PUT /transaction/expense/reject
Reject a pending expense transaction with a reason.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Ha | Expense transaction ObjectId to reject |
approval_rejected_reason | string | Ha | Reason for rejecting the expense (at least 10 characters) |
{
"_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"approval_rejected_reason": "string"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
PUT /transaction/expense/redirect
Redirect a pending expense transaction to another approver.
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
_id | string | Ha | Expense transaction ObjectId to redirect |
approver_id | string | Ha | Employee ObjectId of the new approver |
approval_redirect_comment | string | Yo‘q | Optional comment explaining the redirect |
{
"_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"approver_id": "64b7f4d9e2b3b6a0b7c5d800",
"approval_redirect_comment": "string"
}Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
GET /transaction/get-by-id/{id}
Get transaction using its _id
Yo‘l parametrlari
| Parametr | Tur | Majburiy | Tavsif |
|---|---|---|---|
id | string | Ha |
So‘rov tanasi
So‘rov tanasi talab qilinmaydi.
Javob
Javob tuzilishi quyidagi bilan bir xil: POST /transaction/income.
POST /transaction/get-paging
Get transactions by paging
So‘rov tanasi
| Maydon | Tur | Majburiy | Tavsif |
|---|---|---|---|
page | number | Ha | Standart: 1 |
limit | number | Ha | Standart: 20 |
type | string | Yo‘q | |
states | string[] | Yo‘q | |
payment_type_id | string | Yo‘q | |
payment_type_ids | string[] | Yo‘q | |
sort_by | string | Yo‘q | |
date_from | string | Yo‘q | |
date_to | string | Yo‘q | |
payment_method_id | string | Yo‘q | |
payment_method_ids | string[] | Yo‘q | |
cashbox_id | string | Yo‘q | |
organization_id | string | Yo‘q | |
customer_id | string | Yo‘q | |
supplier_id | string | Yo‘q | |
person_id | string | Yo‘q | |
employee_id | string | Yo‘q | |
is_deleted | boolean | Yo‘q | |
employee_ids | string[] | Yo‘q | |
cashbox_ids | string[] | Yo‘q |
{
"page": 1,
"limit": 20,
"type": "income",
"states": [
"pending"
],
"payment_type_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"payment_type_ids": [
"64b7f4d9e2b3b6a0b7c5d7ff"
],
"sort_by": "created_at",
"date_from": "2023-07-20T12:34:56.789Z",
"date_to": "2023-07-21T12:34:56.789Z",
"payment_method_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"payment_method_ids": [
"64b7f4d9e2b3b6a0b7c5d7ff"
],
"cashbox_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"organization_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"customer_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"supplier_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"person_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"employee_id": "64b7f4d9e2b3b6a0b7c5d7ff",
"is_deleted": true,
"employee_ids": [
"64b7f4d9e2b3b6a0b7c5d7ff"
],
"cashbox_ids": [
"64b7f4d9e2b3b6a0b7c5d7ff"
]
}Javob
data.total — jami yozuvlar soni, data.data[] — joriy sahifadagi yozuvlar. Quyidagi jadval bitta yozuvni tavsiflaydi.
| Maydon | Tur | Tavsif |
|---|---|---|
number | string | Transaction number |
type | string | Transaction type |
balance_changes | object[] | Balance changes |
balance_changes[].currency_id | string | Currency ID |
balance_changes[].amount | number | Amount |
balance_changes[].value | number | Value |
balance_changes[].user_type | string | User type |
organization_id | string | Organization ID |
payment_type | object | Payment type |
payment_type._id | string | Payment type ID |
payment_type.name | string | Payment type name |
payment_type.payment_type | string | Payment type |
contract_number | string | Contract number |
amount | number | Amount |
state | string | State |
currency | object | Currency |
currency._id | string | Currency ID |
currency.name | string | Currency name |
currency.value | number | Currency value |
exchange_amount | number | Exchange amount |
cashbox_id | string | Cashbox ID |
destination_cashbox_id | string | Destination cashbox ID |
exchange_currency | object | Exchange currency |
exchange_currency._id | string | Exchange currency ID |
exchange_currency.name | string | Exchange currency name |
exchange_currency.value | number | Exchange currency value |
employee | object | Employee |
employee._id | string | Employee ID |
employee.full_name | string | Employee full name |
employee.phone_number | string | Employee phone number |
supplier | object | Supplier |
supplier._id | string | Supplier ID |
supplier.full_name | string | Supplier full name |
supplier.name | string | Supplier name |
supplier.phone_number | string | Supplier phone number |
customer | object | Customer |
customer._id | string | Customer ID |
customer.full_name | string | Customer full name |
customer.name | string | Customer name |
customer.phone_number | string | Customer phone number |
person | object | Person |
person._id | string | Person ID |
person.name | string | Person name |
person.full_name | string | Person full name |
person.phone_number | string | Person phone number |
person.type | string | Person type |
parent | object | Parent |
parent._id | string | Parent ID |
parent.amount | number | Amount |
parent.currency_id | string | Currency ID |
parent.payment_method_id | string | Payment method ID |
parent.payment_method | string | Payment method |
parent.cashbox_id | string | Cashbox ID |
parent.type | string | Type |
parent.custom_id | string | Custom ID |
destination | object | Destination |
destination._id | string | Destination ID |
destination.name | string | Name |
payment_method | object | Payment method |
payment_method._id | string | Payment method ID |
payment_method.type | string | Type |
payment_method.name | string | Name |
created_at | string | Created at |
date | string | Date |
updated_at | string | Updated at |
is_deleted | boolean | Is deleted |
completely_deleted | boolean | Completely deleted |
balance_list | object[] | Balance list |
created_by | object | Created by |
created_by._id | string | Created by ID |
created_by.full_name | string | Full name |
description | string | Description |
receipt | string | Receipt |
cashbox_before_balance | object | Cashbox before balance |
cashbox_before_balance._id | string | |
cashbox_before_balance.organization_id | integer | Organization ID |
cashbox_before_balance.payment_method_id | string | Payment method ID |
cashbox_before_balance.currency_id | string | Currency ID |
cashbox_before_balance.amount | number | |
cashbox_after_balance | object | Cashbox after balance |
cashbox_after_balance._id | string | |
cashbox_after_balance.organization_id | integer | Organization ID |
cashbox_after_balance.payment_method_id | string | Payment method ID |
cashbox_after_balance.currency_id | string | Currency ID |
cashbox_after_balance.amount | number | |
human_before_balance | object | Human before balance |
human_before_balance._id | string | |
human_before_balance.organization_id | integer | Organization ID |
human_before_balance.payment_method_id | string | Payment method ID |
human_before_balance.currency_id | string | Currency ID |
human_before_balance.amount | number | |
human_after_balance | object | Human after balance |
human_after_balance._id | string | |
human_after_balance.organization_id | integer | Organization ID |
human_after_balance.payment_method_id | string | Payment method ID |
human_after_balance.currency_id | string | Currency ID |
human_after_balance.amount | number | |
attachments | string[] | Attachments |
invoice | object | Invoice |
invoice._id | string | Invoice ID |
invoice.number | string | Invoice number |
invoice.currency_id | string | Currency ID |
invoice.currency_value | number | Currency value |
invoice.paid | number | Paid amount |
invoice.main_id | string | Main invoice ID |
can_be_canceled | boolean | Can be canceled |
amount_in_main | number | Amount in main currency |
{
"code": 0,
"message": "Success",
"status_code": 200,
"data": {
"total": 0,
"data": [
{
"number": "string",
"type": "string",
"balance_changes": [
{
"currency_id": "string",
"amount": 0,
"value": 0,
"user_type": "string"
}
],
"organization_id": "string",
"payment_type": {
"_id": "string",
"name": "string",
"payment_type": "string"
},
"contract_number": "string",
"amount": 0,
"state": "string",
"currency": {
"_id": "string",
"name": "string",
"value": 0
},
"exchange_amount": 0,
"cashbox_id": "string",
"destination_cashbox_id": "string",
"exchange_currency": {
"_id": "string",
"name": "string",
"value": 0
},
"employee": {
"_id": "string",
"full_name": "string",
"phone_number": "string"
},
"supplier": {
"_id": "string",
"full_name": "string",
"name": "string",
"phone_number": "string"
},
"customer": {
"_id": "string",
"full_name": "string",
"name": "string",
"phone_number": "string"
},
"person": {
"_id": "string",
"name": "string",
"full_name": "string",
"phone_number": "string",
"type": "string"
},
"parent": {
"_id": "string",
"amount": 0,
"currency_id": "string",
"payment_method_id": "string",
"payment_method": "string",
"cashbox_id": "string",
"type": "string",
"custom_id": "string"
},
"destination": {
"_id": "string",
"name": "string"
},
"payment_method": {
"_id": "string",
"type": "string",
"name": "string"
},
"created_at": "string",
"date": "string",
"updated_at": "string",
"is_deleted": false,
"completely_deleted": false,
"balance_list": [
{}
],
"created_by": {
"_id": "string",
"full_name": "string"
},
"description": "string",
"receipt": "string",
"cashbox_before_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"cashbox_after_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"human_before_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"human_after_balance": {
"_id": "string",
"organization_id": 0,
"payment_method_id": "string",
"currency_id": "string",
"amount": 0
},
"attachments": [
"string"
],
"invoice": {
"_id": "string",
"number": "string",
"currency_id": "string",
"currency_value": 0,
"paid": 0,
"main_id": "string"
},
"can_be_canceled": false,
"amount_in_main": 0
}
]
},
"time": "2025-05-01T12:00:00Z"
}Bu sahifa OpenAPI spetsifikatsiyasidan yaratilgan.